{
  config,
  pkgs,
  lib,
  ...
}:

{
  services = {
    nginx = {
      enable = true;
      #package = pkgs.nginxMainline;
      recommendedProxySettings = true;
      recommendedTlsSettings = true;
      recommendedZstdSettings = true;
      recommendedGzipSettings = true;
      recommendedBrotliSettings = true;
      recommendedOptimisation = true;
      appendConfig = ''
        worker_processes 16;
      '';
      eventsConfig = ''
        #use kqueue;
        worker_connections 512;
      '';
      appendHttpConfig = ''
        #sendfile on;
        disable_symlinks off;
      '';
      additionalModules = with pkgs.nginxModules; [ moreheaders ];
      virtualHosts = {
        #matrix...
        "matrix.litenet.tel" = import ./litenet.tel/matrix.nix;
        "matrix.localhost" = (import ./litenet.tel/matrix.nix) // { addSSL = false; enableACME = false; };
      };
    };
  };
  systemd.services.nginx.serviceConfig = {
    LimitNOFILE = 5000000;
  };
}
