{
  lib,
  fetchgit,
  makeWrapper,
  nodejs,
  buildNpmPackage,
}:

buildNpmPackage rec {
  pname = "out-of-your-element";
  version = "0";
    src = fetchgit {
      url = "https://gitdab.com/cadence/out-of-your-element.git";
      rev = "2c3b653b540e6eea37e130104aece48c1f094d71";
      sha256 = "SU6Mt3JEgEnkQUzU7Nw/BbeIHocWHqxZFEAeLYoFB4g=";
    };
#  src = ./ooye-src;
  npmDepsHash = "sha256-561i7rUw+Pkq3k44PE6pglm7Kd4t3AjkcKbIZchJ29M=";
  # "sha256-1STam+Sjy2MQcK5TmRacoxmgErd2sNqw0yIFX2M+iZk=";
  makeCacheWritable = true; # Something tries to write there, idk why - Emma [it/its] @ Rory&
  dontNpmBuild = true;

  nativeBuildInputs = [ makeWrapper ];

  installPhase = ''
    runHook preInstall

    mkdir -p $out/share
    cp -a . $out/share/ooye
    makeWrapper ${nodejs}/bin/node $out/bin/matrix-ooye --add-flags $out/share/ooye/start.js
    makeWrapper ${nodejs}/bin/node $out/bin/matrix-ooye-addbot --add-flags $out/share/ooye/addbot.js

    runHook postInstall
  '';

  meta = with lib; {
    description = "A Matrix Discord bridge";
    homepage = "https://gitdab.com/cadence/out-of-your-element";
    longDescription = ''
      Cool.
    '';
    #license = licenses.agpl3;
    #maintainers = with maintainers; [ RorySys ];
    mainProgram = "null";
  };
}
