{
  config,
  lib,
  pkgs,
  ...
}:
let
  cfg = config.services.matrix-ooye;
in
{
  options = {
    services.matrix-ooye = {
      enable = lib.mkEnableOption "Enable OOYE service";
      package = lib.mkOption {
        type = lib.types.package;
        default = pkgs.callPackage ./default.nix { };
      };
      appserviceId = lib.mkOption {
        type = lib.types.string;
        description = "The appservice ID to use, will be used as the localpart for the bridge.";
        default = "ooye";
      };
      homeserver = lib.mkOption {
        type = lib.types.string;
        description = "The homeserver to connect to.";
        default = "http://localhost:8006";
      };

    };
  };
  config = lib.mkIf cfg.enable {
    systemd.services."matrix-ooye-pre-start.service" = {
      enable = true;
      script = ''
      
      '';
    };
    systemd.services."matrix-ooye.service" = {
      enable = true;
      serviceConfig = {
        ExecStart = "${config.services.matrix-ooye.package}/bin/ooye";
      };
    };
  };
}
